Package com.collabnet.ce.soap60.webservices.cemain

# Class UserGroupSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.UserGroupSoapDO

public class UserGroupSoapDO extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
Represents an user group within TeamForge.

Since:
  4.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserGroupSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getFullName()`
  Returns 'fullName'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setFullName(String fullName)`
  Sets 'fullName'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserGroupSoapDO

    public UserGroupSoapDO()

- ## Method Details

  - ### getFullName

    public String getFullName()
    Returns 'fullName'. User group's full name.
    Returns:
      Value of 'fullName'.

  - ### setFullName

    public void setFullName(String fullName)
    Sets 'fullName'. User group's full name.
    Parameters:
      `fullName` - Value of 'fullName'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. User group's description.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. User group's description.
    Parameters:
      `description` - Value of 'description'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)